# mailman3

A mailing list management system.

> https://docs.mailman3.org

This configuration is intended to be used with [mailu](https://git.autonomic.zone/coop-cloud/mailu), assumes the use of a postfix MTA and requires that you share networks and volumes between your Mailu stack and your Mailman3 stack. After installation, you need to run `manage.py createsuperuser` against your `mailman-web` container to create an admin account.

<!-- metadata -->

- **Category**:
- **Status**:
- **Image**: [`maxking/mailman-*`](https://github.com/maxking/docker-mailman)
- **Healthcheck**:
- **Backups**:
- **Email**:
- **Tests**:
- **SSO**:

<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`coop-cloud/traefik`]
3. `abra app new mailman3 --secrets` (optionally with `--pass` if you'd like
   to save secrets in `pass`)
4. `abra app YOURAPPDOMAIN config` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`
6. Open the configured domain in your browser to finish set-up

[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`coop-cloud/traefik`]: https://git.autonomic.zone/coop-cloud/traefik
